This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 31864 - java resources in web project
Summary: java resources in web project
Status: RESOLVED WONTFIX
Alias: None
Product: javaee
Classification: Unclassified
Component: Code (show other bugs)
Version: 3.x
Hardware: PC Windows 3.1/NT
: P3 blocker (vote)
Assignee: Pavel Buzek
URL:
Keywords:
Depends on: 23815 23818 32304 33045
Blocks:
  Show dependency tree
 
Reported: 2003-03-11 10:22 UTC by Pavel Buzek
Modified: 2003-12-11 14:27 UTC (History)
0 users

See Also:
Issue Type: TASK
Exception Reporter:


Attachments
commit log (7.66 KB, text/plain)
2003-04-22 13:18 UTC, Pavel Buzek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Buzek 2003-03-11 10:22:59 UTC
Adjust the java support for resources for use in web project. E.g. let the user to decide if the 
library should be putted into WEB-INF\lib or deployed to server, filter out the UI that does not 
make sense in web module (types of classpath, local FS resource, ..)
Comment 1 Pavel Buzek 2003-03-26 08:45:38 UTC
Add implicit resources (servletapi.jar) by default and make them hiden. This depends on 32304.
Comment 2 Pavel Buzek 2003-03-26 08:53:59 UTC
Adding dependency on 32338. This will be used to manage the way how resources are used in web module.
Comment 3 Pavel Buzek 2003-03-27 09:24:20 UTC
Implicit resources (servletapi) should be added into library repository and project should point to the 
lib repository. This is currently not supported by Java module, added dependency on 32384 for this.
Comment 4 Pavel Buzek 2003-04-04 08:26:05 UTC
Servlet api is added using a temporary solution. 
Updated dependencies (32384 was marked as a dupl. of 23815).
Comment 5 Pavel Buzek 2003-04-10 15:18:02 UTC
Java module's owned refused to make is possible to register a custom
look for java resource. Java resources in web module will need to be
implemented from scratch. Removing dependency on 32338.
Comment 6 Pavel Buzek 2003-04-18 10:41:00 UTC
remove temporary hack when 33045 gets fixed
Comment 7 Pavel Buzek 2003-04-22 13:17:26 UTC
partially implemented (log will be attached)

Web module has its own implementation of PathResource, there is UI for
creation of resources that are used by web module, these resurces are
added to BASIC classpath (optionally) and are marked for deployment
(also optionally). The UI is not final yet.
Comment 8 Pavel Buzek 2003-04-22 13:18:18 UTC
Created attachment 10063 [details]
commit log
Comment 9 Pavel Buzek 2003-09-03 12:47:23 UTC
A change again. According to the current UI spec the usage of resource
will be determined in the build target ui. This means we can reuse
java implementation of adding classpath resouces.

The implicit resources (Servlet API) will be implemented as library.
This depends on 23818.
Comment 10 Pavel Buzek 2003-12-10 05:29:06 UTC
closing obsolete issues related to prj40_prototype